Bug 39664 - Offer next/previous buttons in app detail view in order to browse directly to other apps
Offer next/previous buttons in app detail view in order to browse directly to...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1-0-errata
Assigned To: Alexander Kramer
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 10:18 CET by Alexander Kläser
Modified: 2016-02-04 14:10 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments
Sketch of different previous/next button positions (369.56 KB, image/png)
2015-10-29 10:18 CET, Alexander Kläser
Details
Patch for prev and next header buttons (3.22 KB, patch)
2015-11-21 16:38 CET, Alexander Kramer
Details | Diff
Adapted patch fpr prev and next button (4.73 KB, patch)
2015-12-01 08:48 CET, Alexander Kramer
Details | Diff
Improved patch (4.73 KB, patch)
2015-12-07 08:03 CET, Alexander Kramer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-10-29 10:18:13 CET
Created attachment 7235 [details]
Sketch of different previous/next button positions

If browsing through the different apps in the UMC App Center, one needs currently several mouse clicks to switch from one app detail view to the next one. It would be thus helpful to show previous/next buttons in the detail page to allow for a quick switch to consecutive apps.

The implementation could be done as buttons in the module header or with arrow buttons on the left/right side of the app page, cf. attached sketch.
Comment 1 Alexander Kramer univentionstaff 2015-11-21 16:38:56 CET
Created attachment 7315 [details]
Patch for prev and next header buttons

IMHO we should prefer the header button solution:

1) The icon to close the DetailPage is already inside the header, so all other control elements should also appear there.
2) The header with the buttons is always visible to the user. You don't have to scroll to switch the app.
3) The carousel already has similar icons as the second suggestion, I am afraid that this could confuse the user.

This could be a case for ab-testing.
Comment 2 Alexander Kramer univentionstaff 2015-11-25 09:13:37 CET
univention-appcenter (5.0.19-8) 
* Bug #39664: Offer next/previous buttons in app detail view

Successful build
Package: univention-appcenter
Version: 5.0.19-8.71.201511250901
User: akramer
Branch: ucs_4.1-0
Scope: errata4.1-0

Successful build
Package: univention-appcenter
Version: 5.0.19-8.71.201511250901
Branch: ucs_4.1-0
Scope: errata4.1-0

r 65885 yaml file
Comment 3 Dirk Wiesenthal univentionstaff 2015-11-25 14:52:10 CET
Actually looks cool. But the DetailPage flickers when hitting next/previous. Maybe one should render a new DetailPage in the background and then add an Animation from the left/right so that it is clear what just happened.

Anyway, please revert for today
Comment 4 Alexander Kramer univentionstaff 2015-11-25 15:07:01 CET
r 65900
As discussed with Dirk, I reverted the changes from 65884.

Successful build
Package: univention-appcenter
Version: 5.0.19-10.73.201511251502
Branch: ucs_4.1-0
Scope: errata4.1-0

r 65902
also revert yaml file
Comment 5 Alexander Kläser univentionstaff 2015-11-30 13:26:03 CET
(In reply to Dirk Wiesenthal from comment #3)
> Actually looks cool. But the DetailPage flickers when hitting next/previous.
> Maybe one should render a new DetailPage in the background and then add an
> Animation from the left/right so that it is clear what just happened.

Animation would be nice, however, I do not think that the extra effort needed would pay off.

@Alex: Cool :) ! I would suggest to store the current list of visible app IDs at the level of the AppDetailPage and not the apps themselves.
Comment 6 Alexander Kramer univentionstaff 2015-12-01 08:48:45 CET
Created attachment 7328 [details]
Adapted patch fpr prev and next button

As requested I adapted the patch.
Comment 7 Alexander Kläser univentionstaff 2015-12-01 17:36:14 CET
(In reply to Alexander Kramer from comment #6)
> Created attachment 7328 [details]
> Adapted patch fpr prev and next button
> 
> As requested I adapted the patch.

I like it like this :) . A little suggestion to avoid "undefined" being used as currentIndex:

> var currentIndex = -1;
> array.some(this.visibleApps, lang.hitch(this, function(iapp, idx) {
>   if (iapp.id == this.app.id) {
>     currentIndex = idx;
>     return true;
>   }
> }));
Comment 8 Alexander Kramer univentionstaff 2015-12-07 08:03:28 CET
Created attachment 7349 [details]
Improved patch

As requested I added a initial value of -1 for currentIndex
Comment 9 Alexander Kramer univentionstaff 2015-12-10 12:41:03 CET
r66251
Applied patch

Successful build
Package: univention-appcenter
Version: 5.0.19-21.80.201512101233
Branch: ucs_4.1-0
Scope: errata4.1-0

r66252 yaml file
Comment 10 Alexander Kläser univentionstaff 2015-12-16 18:39:45 CET
Looks great :) !

Change: OK
YAML file: OK (minor adjustments of the bug description)

→ VERIFIED
Comment 11 Janek Walkenhorst univentionstaff 2016-02-04 14:10:54 CET
<http://errata.software-univention.de/ucs/4.1/79.html>